Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QActionGroup

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QActionGroup class reference

### Public Functions

- void add ( QAction * a )
- void addSeparator ()
- bool addTo ( QWidget * widget )

### Signals

- void selected ( QAction * action )

## Member Function Documentation

### void QActionGroup::add ( QAction * a )

Use addAction() instead.

### void QActionGroup::addSeparator ()

Normally you add a separator to the menus or widgets to which actions are added, so this function is very rarely needed.

For example, if you have code like

        actionGroup->addSeparator();

you can rewrite it as

        QAction *separator = new QAction(this);
        separator->setSeparator(true);
        actionGroup->addAction(separator);

### bool QActionGroup::addTo ( QWidget * widget )

For example, if you have code like

        actionGroup->addTo(widget);

you can rewrite it as

        widget->addActions(actionGroup->actions());

### void QActionGroup::selected ( QAction * action ) `[signal]`

Use triggered() instead.